For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
contact@agentmail.ccDiscord
DocumentationAPI ReferenceKnowledge BaseChangelog
DocumentationAPI ReferenceKnowledge BaseChangelog
  • API Reference
      • GETList Domains
      • GETGet Domain
      • GETGet Zone File
      • POSTCreate Domain
      • PATCHUpdate Domain
      • DELDelete Domain
      • POSTVerify Domain
LogoLogo
contact@agentmail.ccDiscord
API ReferenceDomains

List Domains

GET
/v0/domains
GET
/v0/domains
1from agentmail import AgentMail
2
3client = AgentMail(
4 api_key="YOUR_TOKEN_HERE",
5)
6
7client.domains.list()
200Retrieved
1{
2 "count": 1,
3 "domains": [
4 {
5 "domain_id": "domain_id",
6 "domain": "domain",
7 "feedback_enabled": true,
8 "updated_at": "2024-01-15T09:30:00Z",
9 "created_at": "2024-01-15T09:30:00Z",
10 "pod_id": "pod_id",
11 "client_id": "client_id"
12 },
13 {
14 "domain_id": "domain_id",
15 "domain": "domain",
16 "feedback_enabled": true,
17 "updated_at": "2024-01-15T09:30:00Z",
18 "created_at": "2024-01-15T09:30:00Z",
19 "pod_id": "pod_id",
20 "client_id": "client_id"
21 }
22 ],
23 "limit": 1,
24 "next_page_token": "next_page_token"
25}
**CLI:** ```bash agentmail domains list ```
Was this page helpful?
Previous

Get Domain

Next
Built with

CLI:

$agentmail domains list

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

limitintegerOptional
Limit of number of items returned.
page_tokenstringOptional
Page token for pagination.
ascendingbooleanOptional
Sort in ascending temporal order.

Response

This endpoint returns an object.
countinteger
Number of items returned.
domainslist of objects

Ordered by created_at descending.

limitinteger
Limit of number of items returned.
next_page_tokenstring
Page token for pagination.